# Get a Collection of Sequences

Endpoint: GET /sequences
Security: bearerAuth, s2sAuthToken

## Response 200 fields (application/vnd.api+json):

  - `data` (array)

  - `data.attributes` (object)
    Leverage emailing within Sequences to engage each individual persona more effectively, and queue up the right actions at the right time.

  - `data.attributes.automationPercentage` (number,null)
    The percentage of "auto_email" sequence steps in this sequence.

  - `data.attributes.bounceCount` (integer,null)
    The total count of bounced mailings during this sequence.

  - `data.attributes.clickCount` (integer,null)
    The total count of clicked mailings from this sequence.

  - `data.attributes.createdAt` (string,null)
    The date and time the sequence was created.

  - `data.attributes.deliverCount` (integer,null)
    The total count of delivered mailings from this sequence.

  - `data.attributes.description` (string,null)
    A custom description for the sequence.

  - `data.attributes.durationInDays` (integer,null)
    The total number of days it takes to get through this sequence.

  - `data.attributes.enabled` (boolean,null)
    A boolean value determining whether the sequence is enabled or not.

  - `data.attributes.enabledAt` (string,null)
    The date and time the sequence was enabled, or null if currently disabled.

  - `data.attributes.failureCount` (integer,null)
    The total count of failed mailings from this sequence.

  - `data.attributes.finishOnReply` (boolean,null)
    Deprecated. This boolean value exists only to maintain backward compatibility and primaryReplyAction should be used instead. True if primaryReplyAction is "finish", false otherwise.

  - `data.attributes.lastUsedAt` (string,null)
    The date and time the sequence was last used.

  - `data.attributes.locked` (boolean,null)
    A boolean value determining whether the sequence is locked or not.

  - `data.attributes.lockedAt` (string,null)
    The date and time the sequence was locked, or null if currently unlocked.

  - `data.attributes.maxActivations` (integer,null)
    The maximum number of prospects that can be associated with the sequence. Only applies if the sequence type is "date".

  - `data.attributes.name` (string,null)
    The name or the sequence.

  - `data.attributes.negativeReplyCount` (integer,null)
    The total count of negative reply mailings from this sequence.

  - `data.attributes.neutralReplyCount` (integer,null)
    The total count of neutral reply mailings from this sequence.

  - `data.attributes.numContactedProspects` (integer,null)
    The total count of prospects who have been either called or emailed.

  - `data.attributes.numRepliedProspects` (integer,null)
    The total count of prospects who have been marked as replied.

  - `data.attributes.openCount` (integer,null)
    The total count of opened mailings from this sequence.

  - `data.attributes.optOutCount` (integer,null)
    The total count of opted out mailings from this sequence.

  - `data.attributes.positiveReplyCount` (integer,null)
    The total count of positive reply mailings from this sequence.

  - `data.attributes.primaryReplyAction` (string,null)
    The action to take when the primary prospect replies. Must be one of "finish", "continue", or "pause".

  - `data.attributes.primaryReplyPauseDuration` (integer,null)
    The duration in seconds to pause for (before automatically finishing) after a reply from the primary prospect if the primaryReplyAction is "pause".

  - `data.attributes.replyCount` (integer,null)
    The total count of replied mailings from this sequence.

  - `data.attributes.salesMotion` (string,null)
    The sales engagement type of the sequence.

  - `data.attributes.scheduleCount` (integer,null)
    The total count of scheduled mailings from this sequence.

  - `data.attributes.scheduleIntervalType` (string,null)
    The schedule interval type must be either "calendar" or "schedule"

  - `data.attributes.secondaryReplyAction` (string,null)
    The action to take when someone other than the primary prospect replies. Must be one of "finish", "continue", or "pause".

  - `data.attributes.secondaryReplyPauseDuration` (integer,null)
    The duration in seconds to pause for (before automatically finishing) after a reply from anyone other than the primary prospect if the secondaryReplyAction is "pause".

  - `data.attributes.sequenceStepCount` (integer,null)
    The total number of sequence steps in this sequence.

  - `data.attributes.sequenceType` (string,null)
    The sequence type must be either "date" or "interval".

  - `data.attributes.shareType` (string,null)
    The sequence share type must be either "private", "read_only" or "shared".

  - `data.attributes.tags` (array,null)
    A list of tag values associated with the sequence (e.g. ["Tier 1", "Inbound Leads"])

  - `data.attributes.throttleCapacity` (integer,null)
    The maximum number of associated sequence states per user that can be active at a one time.

  - `data.attributes.throttleMaxAddsPerDay` (integer,null)
    The maximum number of associated sequence states per user that can be added to the sequence each day.

  - `data.attributes.throttlePaused` (boolean,null)
    A boolean value determining whether the throttling of sequence states is paused or not.

  - `data.attributes.throttlePausedAt` (string,null)
    The date and time the sequence state throttling was paused, or null if not currently paused.

  - `data.attributes.transactional` (boolean,null)
    A boolean value determining whether prospect opt out preferences are respected. Intended only for non-marketing sequences.

  - `data.attributes.updatedAt` (string,null)
    The date and time the sequence was last updated.

  - `data.id` (integer)

  - `data.relationships` (object)

  - `data.relationships.calls` (object)
    The associated calls. You can use only the attribute id to filter sequences by calls (e.g. filter[calls][id]=X).

  - `data.relationships.calls.links` (object)

  - `data.relationships.calls.links.related` (string)

  - `data.relationships.contentCategoryMemberships` (object)
    The content categories (collections) of the sequence. You can use only the attribute id to filter sequences by contentCategoryMemberships (e.g. filter[contentCategoryMemberships][id]=X).

  - `data.relationships.contentCategoryMemberships.data` (array)

  - `data.relationships.contentCategoryMemberships.data.id` (integer)

  - `data.relationships.contentCategoryMemberships.data.type` (string)
    Enum: "contentCategoryMembership"

  - `data.relationships.contentCategoryMemberships.links` (object)

  - `data.relationships.contentCategoryMemberships.links.related` (string)

  - `data.relationships.creator` (object)
    The creater of the sequence. You can use only the attribute id to filter sequences by creator (e.g. filter[creator][id]=X).

  - `data.relationships.creator.data` (object,null)

  - `data.relationships.creator.data.id` (integer)

  - `data.relationships.creator.data.type` (string)
    Enum: "user"

  - `data.relationships.creator.links` (object)

  - `data.relationships.creator.links.related` (string)

  - `data.relationships.mailings` (object)
    The associated mailings. Relationship mailings cannot be used as a filter.

  - `data.relationships.mailings.links` (object)

  - `data.relationships.mailings.links.related` (string)

  - `data.relationships.owner` (object)
    The owner of the sequence. You can use attributes id, email, firstName and lastName to filter sequences by owner (e.g. filter[owner][id]=X).

  - `data.relationships.owner.data` (object,null)

  - `data.relationships.owner.data.id` (integer)

  - `data.relationships.owner.data.type` (string)
    Enum: "user"

  - `data.relationships.owner.links` (object)

  - `data.relationships.owner.links.related` (string)

  - `data.relationships.ruleset` (object)
    The associated ruleset. You can use only the attribute id to filter sequences by ruleset (e.g. filter[ruleset][id]=X).

  - `data.relationships.ruleset.data` (object,null)

  - `data.relationships.ruleset.data.id` (integer)

  - `data.relationships.ruleset.data.type` (string)
    Enum: "ruleset"

  - `data.relationships.ruleset.links` (object)

  - `data.relationships.ruleset.links.related` (string)

  - `data.relationships.sequenceStates` (object)
    The associated sequence states. You can use only the attribute id to filter sequences by sequenceStates (e.g. filter[sequenceStates][id]=X).

  - `data.relationships.sequenceStates.links` (object)

  - `data.relationships.sequenceStates.links.related` (string)

  - `data.relationships.sequenceSteps` (object)
    The associated sequence steps. You can use only the attribute id to filter sequences by sequenceSteps (e.g. filter[sequenceSteps][id]=X).

  - `data.relationships.sequenceSteps.data` (array)

  - `data.relationships.sequenceSteps.data.id` (integer)

  - `data.relationships.sequenceSteps.data.type` (string)
    Enum: "sequenceStep"

  - `data.relationships.sequenceSteps.links` (object)

  - `data.relationships.sequenceSteps.links.related` (string)

  - `data.relationships.tasks` (object)
    The associated tasks. You can use only the attribute id to filter sequences by tasks (e.g. filter[tasks][id]=X).

  - `data.relationships.tasks.links` (object)

  - `data.relationships.tasks.links.related` (string)

  - `data.relationships.updater` (object)
    The most recent updater of the sequence. You can use only the attribute id to filter sequences by updater (e.g. filter[updater][id]=X).

  - `data.relationships.updater.data` (object,null)

  - `data.relationships.updater.data.id` (integer)

  - `data.relationships.updater.data.type` (string)
    Enum: "user"

  - `data.relationships.updater.links` (object)

  - `data.relationships.updater.links.related` (string)

  - `data.type` (string)

## Response 422 fields (application/vnd.api+json):

  - `errors` (array)

  - `errors.detail` (string)

  - `errors.id` (string)

  - `errors.title` (string)


